Subject: Re: libtool / assembler problem with -DPIC
From: "Gerrit P. Haase" <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Oct 2004 12:51:56 +0200

Charles wrote:

> Gerrit P. Haase wrote:
>> With GNU as PIC is not an noop, when -DPIC is used to invoke gas the
>> generated assembly is broken.  I saw this problem with a
>> reautoconfiscated version of GMP.  This may be unusual, but there was
>> libtool used to invoke gas.
>> 
>> While -DPIC is a noop for usual compilation, it is harmful when used
>> as gas flag to compile assembly, I suggest to remove it entirely when
>> target is cygwin. Change would be in libtool.m4 line 4971 ff in
>> libtool-1.5.10.
>> 
>> Alternative: don't pass flag through when gas is called.

> I don't see anywhere that "-DPIC" is ever invoked on cygwin.  Please 
> send a patch to libtool.m4 that fixes the problem for you.

> BTW, somebody mentioned libtool CVS branch-2.0 as being too "cutting 
> edge" for cygwin use...FYI, libtool-cvs-branch2.0 passes ALL regression
> tests which is better than libtool has EVER done on our platform.  I'm
> thinking of releasing a test version of the next beta...

--- libtool.m4~ 2004-08-04 13:08:29.955128000 +0200
+++ libtool.m4  2004-08-04 13:09:27.497870400 +0200
@@ -4972,6 +5028,9 @@ case "$host_os" in
   *djgpp*)
     _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)=
     ;;
+  *cygwin*)
+    _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)=
+    ;;
   *)
     _LT_AC_TAGVAR(lt_prog_compiler_pic, $1)="$_LT_AC_TAGVAR(lt_prog_compiler_pic, $1)ifelse([$1],[],[ -DPIC],[ifelse([$1],[CXX],[ -DPIC],[])])"
     ;;

-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/